Skip to main content
POST
/
api
/
auth
/
oauth
/
custom
/
configs
Create custom OAuth configuration
curl --request POST \
  --url https://api.example.com/api/auth/oauth/custom/configs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "key": "<string>",
  "name": "<string>",
  "discoveryEndpoint": "<string>",
  "clientId": "<string>",
  "clientSecret": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "key": "<string>",
  "name": "<string>",
  "discoveryEndpoint": "<string>",
  "clientId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
key
string
required
name
string
required
discoveryEndpoint
string<uri>
required
clientId
string
required
clientSecret
string
required

Response

Custom OAuth configuration created

id
string<uuid>
key
string
name
string
discoveryEndpoint
string<uri>
clientId
string
createdAt
string<date-time>
updatedAt
string<date-time>